> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/pantherflow/operators/limit.md).

# Limit 연산자

## 개요

반환되는 결과 수를 다음으로 제한합니다 `제한`.

```kusto
| limit <정수>
```

어떤 레코드가 반환될지는 보장되지 않습니다. 단, [`정렬`](/ko/pantherflow/operators/sort.md) 데이터에 대해 이미 수행된 경우는 예외입니다.

## 예시

{% hint style="info" %}
예제 데이터

```kusto
let aws_alb = datatable [
  {"type": "https", "p_event_time": "2023-09-16 05:59:04.058", "sentBytes": 167},
  {"type": "https", "p_event_time": "2023-09-16 05:45:34.863", "sentBytes": 329},
  {"type": "https", "p_event_time": "2023-09-16 05:36:09.017", "sentBytes": 167},
  {"type": "https", "p_event_time": "2023-09-16 05:27:39.177", "sentBytes": 468992}
];
```

{% endhint %}

### 결과를 하나로 제한

```kusto
aws_alb
| limit 1
```

| 이벤트                                                                                |
| ---------------------------------------------------------------------------------- |
| `{ "p_event_time": "2023-09-16 05:59:04.058", "sentBytes": 167, "type": "https" }` |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/pantherflow/operators/limit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
